Fix crash by only setting search bar returnKeyType in iOS 7.1 and above
Closed, ResolvedPublic

Description

Crash report: https://rink.hockeyapp.net/manage/apps/152731/app_versions/22/crash_reasons/39328322

Note that occurrences only happen on iOS 7.0.x.

QA Notes

Not testable unless you have a device with OS earlier than iOS 7.1.

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 5:20 PM

Change 226905 had a related patch set uploaded (by Fjalapeno):
Check respondsToSelector before calling method that is unavailable in early versions of iOS 7

https://gerrit.wikimedia.org/r/226905

Change 226905 merged by jenkins-bot:
Check respondsToSelector before calling method that is unavailable in early versions of iOS 7

https://gerrit.wikimedia.org/r/226905

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 27 2016, 7:09 PM
MBinder_WMF closed this task as Resolved.Feb 8 2016, 7:32 PM